;+
; NAME:
; F_1POW_EXP_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, free parameter mask,
;   spectrum and model to use, and all spectrum and model options when
;   fitting to f_1pow_exp function.
;
; CALLING SEQUENCE: defaults = f_1pow_exp_defaults()
;
; INPUTS:
; None
; OUTPUTS:
; Structure containing default values
;
; MODIFICATION HISTORY:
; Kim Tolbert, 17_Sep-2009
;
;-
;------------------------------------------------------------------------------

FUNCTION F_1POW_EXP_DEFAULTS

defaults = { $
  fit_comp_params:           [1.,   3.,    50., 1.,    1.], $
  fit_comp_minima:           [1e-10, 1.7, 5., 1.e-10,   1.], $
  fit_comp_maxima:           [1e10,  10.,  500., 1.e10, 10.], $
  fit_comp_free_mask:        [1b,    1b,   0b,   1,     1] $
}

RETURN, defaults

END
