;+
;Name:
;   f_albedo
;PURPOSE:
;   This pseudo function always returns an array of 0s.  It allows us to find the
;   correct for albedo in OSPEX, and fit the anisotropy value.
;
;CATEGORY:
;   SPECTRA, XRAY
;
;INPUTS:
;   E  energy vector in keV, 2XN edges or N mean energies
;   apar[0]  anisotropy - a coefficient showing the ratio of the flux in observer direction
;            to the flux downwards. If anisotropy=1 (default) the source is isotropic
;
; Written: Kim Tolbert, 21-Apr-2010
;-

function f_albedo, e, apar, _extra=_extra

if (size(e))(0) eq 2 then edge_products, e, mean=em else em=e
return, fltarr(n_elements(em))
end