;+
; NAME:
;	f_albedo_defaults
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting with albedo function.  albedo is a pseudo function - the function
;   value is always 0., but the params are used to correct for albedo in OSPEX 
;   (in spex_drm::apply_drm)
;
; CALLING SEQUENCE: defaults = f_albedo_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Kim Tolbert, 21-Apr-2010
;
;-
;------------------------------------------------------------------------------

FUNCTION f_albedo_defaults

defaults = { $
  fit_comp_params:           [1.], $  ; anisotropy
  fit_comp_minima:           [.1], $
  fit_comp_maxima:           [10.], $
  fit_comp_free_mask:        [0b], $
  
  pseudo_function:           1 $

}

RETURN, defaults

END
