;+
; NAME:
;	F_BPOW_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_bpow function.
;
; CALLING SEQUENCE: defaults = f_bpow_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Kim Tolbert, February 2004
;
;-
;------------------------------------------------------------------------------

FUNCTION F_BPOW_DEFAULTS

defaults = { $
            fit_comp_params:       [ 1.,   3,   4e2, 1.93 ], $
            fit_comp_minima:           [1e-10, 1.7, 10., 1.7 ], $
            fit_comp_maxima:           [1e10,  1e1, 4e2, 1e1 ], $
            fit_comp_free_mask:        [1,1,0,0], $
            f_bpow_epivot:            50. $
           }

RETURN, defaults

END
