;+
; NAME:
;	F_BPOW_EP_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_bpow_ep function.
;
; CALLING SEQUENCE: defaults = f_bpow_ep_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Kim Tolbert, 11-Dec-2009.  Copied from f_bow_defaults.  Modified for new epivot parameter.
; 
;
;-
;------------------------------------------------------------------------------

FUNCTION F_BPOW_EP_DEFAULTS

defaults = { $
            fit_comp_params:       [ 1.,   3,   4e2, 1.93, 50. ], $
            fit_comp_minima:           [1e-10, 1.7, 10., 1.7, 5.], $
            fit_comp_maxima:           [1e10,  1e1, 4e2, 1e1, 1000. ], $
            fit_comp_free_mask:        [1,1,0,0,0] $
           }

RETURN, defaults

END
