;+
; NAME:
;	F_EX2P_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_exp2 function.
;
; CALLING SEQUENCE: defaults = f_exp2_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Kim Tolbert, 14-May-2014
; 
;-
;------------------------------------------------------------------------------

FUNCTION F_EXP2_DEFAULTS

defaults = { $
            fit_comp_params:           [1., 12.,  1.], $
            fit_comp_minima:           [0., -10., 1.], $
            fit_comp_maxima:           [1., 50.,  10.], $
            fit_comp_free_mask:        [0,  1,    1] $
           }

RETURN, defaults

END
