;+
; NAME:
;	F_LINE_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_line function.
;
; CALLING SEQUENCE: defaults = f_line_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Kim Tolbert, February 2004
;
;-
;------------------------------------------------------------------------------

FUNCTION F_LINE_DEFAULTS

defaults = { $
  fit_comp_params:       [1000., 6.7, .1], $
  fit_comp_minima:       [1.e-20, 1., .01], $
  fit_comp_maxima:       [1.e20, 1.e6, 1.e6], $
  fit_comp_free_mask:    [1B, 0B, 0B] $
  }

RETURN, defaults

END
