;+
; NAME:
;	F_POLY_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_poly function.
;
; CALLING SEQUENCE: defaults = f_poly_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Kim Tolbert, 30-Nov-2017
;
;-
;------------------------------------------------------------------------------

FUNCTION F_POLY_DEFAULTS

defaults = { $
            fit_comp_params:           [  1.,   1.,   1.,   1.,   1.,  50.], $
            fit_comp_minima:           [-10., -10., -10., -10., -10.,   0.], $
            fit_comp_maxima:           [ 10.,  10.,  10.,  10.,  10., 100.], $
            fit_comp_free_mask:        [   1,    1,    1,    0,    0,    1] $
           }

RETURN, defaults

END
