;+
; NAME:
;	F_Thin2sm_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_thin2sm function.
;
; CALLING SEQUENCE: defaults = f_thin2sm_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
;   27-Jul-2010, 19-Feb-2014, Qingrong Chen,
;       Documentation follows f_thin2_defaults.pro
;
;-
;------------------------------------------------------------------------------

function f_thin2sm_defaults

defaults = { $
  fit_comp_params:           [1e-4,  2., 100., 2., 10., 3.2e4, 0.1], $
  fit_comp_minima:           [1e-10,  .1, 10.,  .1,  1.,  100., 0.01], $
  fit_comp_maxima:           [1e15,  20,  500., 20, 1e3,   1e7, 10], $
  fit_comp_free_mask:        [1,1,1,1,1,0,0] $
  }

return, defaults

end
