function f_thin_ndistr_defaults
;+
; NAME:
;	F_THIN_NDISTR_DEFAULTS
;
; PURPOSE: Function to return default values for
;   parameters, minimum and maximum range, and free parameter mask when
;   fitting to f_thin_ndistr function.
;
; CALLING SEQUENCE: defaults = f_thin_ndistr_defaults()
;
; INPUTS:
;	None
; OUTPUTS:
;	Structure containing default values
;
; MODIFICATION HISTORY:
; Jana Kasparova, 2-Nov-2009, based on Kim's defaults...
;
;-
;------------------------------------------------------------------------------

  defaults = { $
  fit_comp_params:           [1.,   1., 2.,1d3], $
  fit_comp_minima:           [1d-10, 0.01d0, 1., 50.], $
  fit_comp_maxima:           [1d15,  50.,  20.,1d4], $
  fit_comp_free_mask:        [1b,    1b,   1b,0b] $
             }

  return, defaults
end
