;+
; PROJECT:
;	FERMI
; NAME:
;
;
; PURPOSE:
;
;
; CATEGORY:
;	QUICKLOOK AND CATALOG GENERATION FOR FERMI GBM
;
; CALLING SEQUENCE:
;
;
; CALLS:
;	none
;
; INPUTS:
;       none explicit, only through commons;
;
; OPTIONAL INPUTS:
;	none
;
; OUTPUTS:
;       none explicit, only through commons;
;
; OPTIONAL OUTPUTS:
;	none
;
; KEYWORDS:
;	none
; COMMON BLOCKS:
;	none
;
; SIDE EFFECTS:
;	none
;
; RESTRICTIONS:
;	none
;
; PROCEDURE:
;	none
;
; MODIFICATION HISTORY:
;	17-may-2010, ras, check extension and revise to
;		use r12, 5 channels x 12 detectors x time
;	18-MAR-2010, richard.schwartz@nasa.gov
;
;-



pro gbm_compressed_rate, daily_files, utm, dut, r12,  hi, lo, gtitle, erange=erange,$
	 status=status

default, erange,[6,12,25,50,100,300.] 

gbm_rd_pha, daily_files, ut2=ut2, data=r12, type='nai', erange=erange, status=status
if ~status then return

utm = get_edges(ut2, /mean)
dut = get_edges(ut2, /width)

g= obj_new('goes')
g->set, /sdac, tstart=anytim(ut2[0],/ints), tend=anytim(max(ut2),/ints)
dg = g->getdata(/quiet)
gut = g->getdata(/times) +anytim(g->get(/utbase))
gtitle = g->title()
destroy,g

if n_elements(dg) gt 2 then begin
  minlo = min(dg[*,0])
  minhi = min(dg[*,1])
  if gut[0] gt utm[0] then begin 
    dg = [ [minlo,dg[*,0]], [minhi,dg[*,1]] ]
    gut = [utm[0], gut]
  endif
  if last_item(gut) lt last_item(utm) then begin
    dg = [ [dg[*,0], minlo], [dg[*,1], minhi] ]
    gut = [gut, last_item(utm)]
  endif
  hi = float(interpol(dg[*,1], gut, utm))
  lo = float(interpol(dg[*,0], gut, utm))
endif else begin
  hi = -1
  lo = -1
endelse

utm = anytim(/ints, utm)
  
end

