;+
; PROJECT:  FERMI
; NAME:  gbm_flr1__define
;
;
; PURPOSE:  Define structure for flare catalog entries
;
;
; CATEGORY:  QUICKLOOK AND CATALOG GENERATION FOR FERMI GBM
;
; CALLING SEQUENCE:
;
;
; CALLS:
;	none
;
; INPUTS:
;       none explicit, only through commons;
;
; OPTIONAL INPUTS:
;	none
;
; OUTPUTS:
;       none explicit, only through commons;
;
; OPTIONAL OUTPUTS:
;	none
;
; KEYWORDS:
;	none
; COMMON BLOCKS:
;	none
;
; SIDE EFFECTS:
;	none
;
; RESTRICTIONS:
;	none
;
; PROCEDURE:
;	none
;
; MODIFICATION HISTORY:
;	18-MAR-2010, richard.schwartz@nasa.gov
;	17-Jan-2012, Kim.  Make trigger a string array (10) instead of a scalar string.  Now it will hold all
;	  triggers that occur between the start and end time of the flare, with the first one being the one
;	  closest to the peak time (shown in text flare list)
;
;-

pro gbm_flr1__define
flr_cat ={ gbm_flr1, $
  id:'', $
  utstart: 0.0d0, $
  utend:0.0d0 , $
  utpeak: dblarr(5), $
  no_start:0, no_end:0, $
  erange:fltarr(6),  $
  peak_rate:fltarr(5), $
  total_counts:fltarr(5), $
  cosines: fltarr(12,5), $
  trigger: strarr(10), $
  rhessi: 0L}
end