;+
; Name: gbm_mark_flare
; Purpose: Draw bar showing start/end of all flares in specified time interval on daily and orbit plots.
; Calling sequence:  gbm_mark_flare, ogbm, tstart, tend
; Method:  Assumes linecolors has already been called. Finds all flares between tstart,tend, and calls mark_intervals
; Arguments: 
;  ogbm - gbm_cat object for gbm flare catalog
;  tstart,tend - start/end time in anytim format
; Written: Kim Tolbert June 2010
;
;-

 
pro gbm_mark_flare, ogbm, tstart, tend

fl = ogbm -> whichflare([tstart,tend], /struct, count=nflare)
if nflare eq 0 then return

mark_intervals,fl.utstart,fl.utend,label='F',color=2, charsize=.6, offset=1
;for i=0,nflare-1 do begin
;  mark_intervals, fl[i].utstart, fl[i].utend, $
;          label='F', color=2, n_bar=n_bar
;endfor
end