;+
; Name: get_fe_abun_rel2h
; Purpose: Return Iron abundance relative to H from rel_abun value applied to
;   specified abundance table
; Arguments:
;   rel_abun - relative abundance value for Iron
;   ab_type - type of abundance table to use (see choices in xr_rd_abundance)
;
; Example: print, get_fe_abun_rel2h(1., 'sun_photospheric')
;
; Kim Tolbert, 26-Apr-2006
; Modifications;
;-

function get_fe_abun_rel2h, rel_abun, ab_type

abundance = xr_rd_abundance(ab_type, /nosave)

return, abundance[25]* rel_abun

end

