; mod_fits_area changes the value of the area (keyword GEOAREA) in the
; header information for all extensions and rewrites the headers in the file.
;
; Calling sequence:  mod_fits_area, 'yourfilename.fits', newvalue


pro mod_fits_area, file, value

print,'File name = ' + file

fits_info, file, /silent, n_ext=n_ext

for i = 0,n_ext do begin
	a = mrdfits(file, i, head, /silent)
	tmp = fxpar (head, 'GEOAREA', count=count)
	if count gt 0 then begin
		fxaddpar, head, 'GEOAREA', value
		modfits, file, 0, head, exten=i
		print,'Extension ' + trim(i) + ' rewritten with new area.'
	endif
endfor

end