;+
; Name: write_bksub_egrouped_text
;
; Purpose: Write a text file listing the file names, time range, livtime, and # energy bins of the background-subtracted
;  energy-grouped GRS files.
;
; Written: Kim Tolbert 26-Apr-2019
; Modifications:
;-

pro write_bksub_egrouped_text
  f = file_search('/data/smm/grs/bksub_egrouped/', '*.fits', count=nf)
  obj = ospex(/no)
  out = ['List of time range and livetime for the background-subtracted, energy-grouped GRS files.', $
         'Kim Tolbert, 26-Apr-2019', $
         ' ']               
  
  for i=0,nf-1 do begin
    obj->set,spex_specfile=f[i]
    d = obj->getdata()
    t = obj->getaxis(/ut,/edges_2)
    nen = '   # Energy Bins = ' + strpad(trim(n_elements(d.data)), 4)
    ltime = '   Livetime = ' + strpad(trim(d.ltime[0]),8) + ' s'
    times = arr2str(anytim(t,/vms), ' to ')
    out = [out, file_basename(f[i]) + '   ' + times  + ltime + nen]
  endfor
  destroy, obj
  prstr, out, file='GRS_bksub_egrouped_times.txt'
end

