;+
; Project     : RHESSI
;
; Name        : smm_grs__DEFINE
;
; Purpose     : Define an SMM grs data object.  
;
; Category    : Synoptic Objects
;
; Syntax      : IDL> c=obj_new('smm_grs')
;
; History     : Written 18-Mar-2019, Kim Tolbert, based on smm_hxrbs__define
; 
; Modifications:
;
;
;-
;----------------------------------------------------------------

function smm_grs::init,_ref_extra=extra

if ~self->synop_spex::init() then return,0
rhost='hesperia.gsfc.nasa.gov'
self->setprop,rhost=rhost,ext='.fits',org='year',$
                 topdir='/smm/grs',/full,/round

return,1
end

;----------------------------------------------------------------
;-- search method 

function smm_grs::search,tstart,tend,count=count,type=type,_ref_extra=extra

type=''
files=self->site::search(tstart,tend,_extra=extra,count=count)
if count gt 0 then type=replicate('hxr/lightcurves',count) else files=''
if count eq 0 then message,'No files found.',/cont

return,files
end

;----------------------------------------------------------------

pro smm_grs__define                 
void={smm_grs, inherits synop_spex}
return & end

