;+
; Name: spex_drm_control__define
;
; Purpose: Defines control structure for spex_drm object
;
; Category: OSPEX
;
; Modifications:
;	15-Jul-2004, Kim.  Added spex_drm_filter
;	23-Aug-2004, Kim.  Added spex_albedo_correct, spex_anisotropy,
;	  spex_source_angle, and spex_source_xy
;	18-Nov-2019, Kim. Added spex_drm_fitintobj to get background from if needed for pileup_mod
;-

pro spex_drm_control__define

struct = {spex_drm_control, $
	spex_drmfile: '', $	; Input DRM file name
	spex_albedo_correct: 0, $ ; If set, correct drm for albedo of photosphere
	spex_anisotropy: 0., $ ; Anisotropy ratio, for albedo correction
	spex_source_angle: 0., $ ; Angle to source in degrees, for albedo correction
	spex_source_xy: [0.,0.], $ ; XY Position of source in arcsec, for albedo correction
	spex_drm_dataobj: obj_new(), $	; data object to get info from if needed
	spex_drm_fitintobj: obj_new() $ ; fitint object to get background from if needed for pileup_mod
	}
end