;------------------------------------------------------------------------------
function spex_fitalg_poly_fit::init, _extra=_extra

control = spex_fitalg_poly_fit_control()
info = { spex_fitalg_poly_fit_info }

return, self->framework::init( control=control, info=info  )

end

;------------------------------------------------------------------------------

function spex_fitalg_poly_fit::getalg, chisq=chisq
if keyword_set(chisq) then return, self -> get(/poly_fit_chisq)
return, -1
end

;------------------------------------------------------------------------------
pro spex_fitalg_poly_fit::process_hook, inputs, control, $
                                    model=model, $
                                    parameters=parameters, $
                                    sigmas=sigmas

n_degree = n_elements( inputs.fit_comp_params )-1l

parameters = poly_fit( inputs.fit_bins, inputs.fit_counts, n_degree, $
  chisq=chisq, covar=covar, double=control.poly_fit_double, $
  measure_errors=inputs.fit_ecounts, sigma=sigmas, status=status, $
  yband=yband, yerror=yerror, yfit=model )

self.info->set, poly_fit_chisq=chisq, poly_fit_covar=covar, $
  poly_fit_yband=yband, poly_fit_yerror=yerror, poly_fit_status=status

if n_degree ne control.poly_fit_n_degree then $
  self.control->set, poly_fit_n_degree=n_degree

end

;------------------------------------------------------------------------------
pro spex_fitalg_poly_fit__define

struct = { spex_fitalg_poly_fit, $
           inherits spex_fitalg_gen }
end
