; function to determine whether one of the tag names in _extra (or this_component) is one of the currently
; selected function components, and if so, to return either the index of the object containing
; that component (the default), or if param_index is set, the first/last indices in an
; array of parameters that apply to that component (e.g. for 'vth+bpow' if /bpow is selected,
; then the returned values would be [2,5].  Also returns the component name in comp_name keyword.

function spex_get_comp_index, fit_function, $
	this_component=this_component, $
	_extra=_extra, $
	param_index=param_index, $
	comp_name=comp_name

fit_comp_arr = str2arr(fit_function, '+')
comp_name = ''

ind = -1
if keyword_set(this_component) then begin
	ind = where (this_component eq fit_comp_arr)
endif else begin
	if keyword_set(_extra) then $
		ind = where_arr( strlowcase(fit_comp_arr), strlowcase(tag_names(_extra)) )
endelse

ind = ind[0]

if ind ne -1 then begin
	comp_name = fit_comp_arr[ind]
	if keyword_set(param_index) then begin
		endi = -1
		for i = 0,ind do begin
			starti = endi + 1
			endi = starti + fit_comp_defaults(fit_comp_arr[i], /nparam) - 1
		endfor
		ind = [starti,endi]
	endif
endif

return, ind
end