;+
; Name: spex_old_defaults
; Purpose:  Set old sets of defaults into object
;
;   If we have another change in defaults, we can add to this and add another
;   keyword to choose which defaults to use.
;
;   This is called by the top level init method for ospex.
;   Can also be called by the user.
;
; Calling sequence:  spex_old_defaults, obj [, /pre_apr2007]
;
; Input:
;   obj - ospex object to reset defaults in
;   pre_apr2007 - if set, set defaults to the pre April 2007 defaults
;
; Kim, 29-Mar-2007
;-

pro spex_old_defaults, obj, pre_apr2007=pre_apr2007

class = obj_class(obj)

if keyword_set(pre_apr2007) or get_logenv('pre_apr2007',/case_ignore) eq '1' then begin

	obj->set, spex_uncert=.05

endif

end


