; Test sequences for the hsi_drm_mod object which lets us specify three RHESSI detector
; parameters (fwhm_frac, gain_offset, center_thick_ratio) and compute a new DRM on the fly.
; This object is used in OSPEX to fine-tune these params for the RHESSI DRM.
; Richard Schwartz, June 2006

if not file_exist('hsi_spectrum_20020220_110300.fits') then begin
	o=hsi_spectrum(obs_time='20-feb-02 '+['11:03:00','11:08:00'])
	seg_index_mask= bytarr(18)
	seg_index_mask[3] = 1b
	o->set, sp_time=4., sp_ene=[1.+findgen(61)/3.,findgen(20)+22.,33+2*findgen(20)]
	o->set, seg_index_mask=seg_index_mask
	o->filewrite, /buildsrm


endif

if not obj_valid(spexobj) or not obj_valid(drmobj) then begin
		spexobj = ospex(spex_specfile='hsi_spectrum_20020220_110300.fits', /no_gui)
		spexobj-> set,spex_drmfile='hsi_srm_20020220_110300.fits'
		drmobj  = spexobj->get(/obj,class='spex_drm')
		help, spexobj->getdata()

		help, drmobj->getdata()
	endif



fitfunction =(spexobj->get(/obj,class='fit_function'))
fitfunction->set, fit_xvals=drmobj->get(/spex_drm_ph_edges)
yvals=fitfunction->getdata()
yvals = fitfunction->getdata()
time_wanted = avg((spexobj->get(/spex_ut_edges))[*,0])
result0 = drmobj->apply_drm(yvals)
ct_edg = drmobj->get(/spex_drm_ct_edges)
edge_products, mean=ctedgm, width=ctwedg, ct_edg

if not keyword_set(odrm) then odrm = obj_new('hsi_drm_mod')
odrm->Set, $
	spex_drm = drmobj, $
	fwhm_frac= 1.0, $
    gain_offset=0.0, $
    center_thick_ratio= 1.0, $
    time_wanted=time_wanted, $
    photon_spectrum=yvals
result = odrm->getdata()

common colors, r_orig, g_orig, b_orig, r_curr, g_curr, b_curr
if not exist(r_orig) then linecolors
plot, ctedgm, result0/ctwedg, psy=10, xran=[1., 30], /xstyle, /ylog
oplot, ctedgm, result/ctwedg, psy=10, col=5

odrm->set, gain_offset=.2
result = odrm->getdata()
oplot, ctedgm, result/ctwedg, psy=10, col=2

odrm->set, gain_offset=0, center_thick=0.95
result = odrm->getdata()
oplot, ctedgm, result/ctwedg, psy=10, col=3




end

