;Get the XSM data fits file with DAT extension you want to use.
f=pickfile(filter='*.dat')
print, f
;C:\ssw\soft\xsm2\data\2004_04_26T02_34_47_1.DAT

;This is the primary program to run to create 3 new files from the XSM DAT
;file.  These are .fits, .rmf, and .arf files that are needed to use OSPEX.
chkarg,'xsm_prep
; % CHKARG: found in current directory
;---- Module: xsm_prep.pro
;---- From:   C:\ssw\soft\xsm2\
;---> Call: pro xsm_prep, datafilename, $
;outdir = outdir, $
;fitsdatafile=fitsdatafile, $
;rmf_file=rmf_file, $
;ancrfile=ancrfile, $
;dest_dir = dest_dir, $
;err_msg=err_msg, $
;err_code=err_code

;All of the new files will be in the same directory as the original
;That's an arbitrary choice.
break_file, f, disk, dir
outdir = disk+dir
;Outdir holds the name of the destination directory.
xsm_prep, f, outdir=outdir

;This output comes from xsm_prep indicating a successful energy scale calibration
;MRDFITS: Binary table.  27 columns by  876 rows.
;MEAN VALUES OF THE 1ST SET: Ti 4.5 keV Mn 5.9 keV, ENERGY=GAIN*CHANNEL#+OFFSET
;       Ti Centroid     Mn Centroid    Ti Res          Mn Res         Gain             Offset
;       111.80858       143.85062      0.28284273      0.32101656     0.043265050     -0.32860397
;mean values of the last set: Ti 4.5 keV Mn 5.9 keV, energy=gain*channel#+offset
;       Ti centroid     Mn centroid    Ti res          Mn res         gain             offset
;       112.19554       144.40794      0.25141346      0.29874094     0.043036221     -0.31967190
;*****adopted mean values for rmf*****
;Ti-reso (ev):
;      0.26712809
;Mn-reso (ev):
;      0.30987875
;gain (ev/ch):
;     0.043150636
;offset (ev):
;     -0.32413793
; % Program caused arithmetic error: Floating underflow

;This shows the original file and the three new files.
print, loc_file(path=outdir, '*.*')
; \ C:\ssw\soft\xsm2\data\2004_04_26T02_34_47_1.DAT
;C:\ssw\soft\xsm2\data\xsm_2004_04_26T02_34_47_1.arf C:\ssw\soft\xsm2\data\xsm_2004_04_26T02_34_47_1.fits
;C:\ssw\soft\xsm2\data\xsm_2004_04_26T02_34_47_1.rmf

;Use ospex, see manual
o=ospex()


;If you want to reduce the valid range of the energy channels or the time bins, use
;the program XSM_VALID as below
chkarg,'xsm_valid
; % CHKARG: found in current directory
;---- Module: xsm_valid.pro
;---- From:   C:\ssw\soft\xsm2\
;---> Call: pro xsm_valid, inputfile, $
;time_range=time_range, $
;energy_range = energy_range, $
;rmf_dir = rmf_dir
inputfile=loc_file(path=outdir, '*.fits')
print, inputfile
;C:\ssw\soft\xsm2\data\xsm_2004_04_26T02_34_47_1.fits
;It only needs the FITS data file, the rmf file must be in the same directory.
xsm_valid, inputfile, energy_range=[1.0, 18.], time_range='26-apr-2004 '+['02:40:00','03:30:00']

;To use the new files, destroy the old object
obj_destroy,o

o=ospex()
