
;+
; NAME: countsmod_plot
;	
; PURPOSE: plot the details of the count spectrum model
;	
; CALLING SEQUENCE:
;	
; INPUTS:
;	
; OPTIONAL INPUTS:
;	
; OUTPUTS:
;
; OPTIONAL OUTPUTS:
;
; PROCEDURE:
;
; CALLS:
;
; COMMON BLOCKS:
;
; RESTRICTIONS:
;
; MODIFICATION HISTORY:
;	
;-
;
pro countsmod_plot, edges, e_in, drm, cflux, bflux, xrange=xrange_in, yrange=yrange,$
    colors=colors, apar=apar, f_model=f_model, wuse=wuse, delta_light=delta_light

checkvar, colors, [5,9,3,4,7]
if n_elements(colors) eq 1 then colors = [colors,9]
if n_elements(colors) eq 2 then colors = [colors,3]
if n_elements(colors) eq 3 then colors = [colors,4]
if n_elements(colors) eq 4 then colors = [colors,7]

edge_products, edges, edges_2=edges, wid=wedge, mean=emdge
edge_products, e_in, edges_2=e_in, wid=w_in, mean=eph

checkvar, xrange, xrange_in,[10,60.]

f_model=spex_current('f_model')

get_conversion, f_model=f_model,e_out=edges, e_in=e_in, w_in=w_in,drm=drm, apar=apar, $
	model_out=model_out, conversion=conv


if !d.name eq   'X' then wsetshow,1
pmulti=!p.multi
!p.multi=[0,1,2]

calibrate, ndet, width64, spec_lld, nlines, chanlines, enlines, evec, xvec, /report, /noevec
edge_products, xvec, wid=wxvec

yobs = (cflux-bflux) * (delta_light /wxvec)
xrange = minmax(xrange)
scxrange = [xrange(0) > emdge(wuse(0)), xrange(1) < max(emdge(wuse)) ]
semdge = emdge(sort(emdge))
ixrange= interpol( findgen(n_elements(semdge)),semdge, scxrange)
ylims = yobs( ixrange)
scale = alog(ylims(1)/ylims(0))/alog(scxrange(1)/scxrange(0))
wrange = indgen(ixrange(1)-ixrange(0)+1)+ixrange(0)

plot, xrange=xrange, emdge, yobs/emdge^scale, psy=3, $
	yrange=minmax((yobs/emdge^scale)(wrange))>0.0, xtitle='Energy (keV)',$
	ytitle='Counts (s cm!u2!n)!u-1!n * Energy!u'+strtrim(0.-scale,2)+'!n',$
	title = 'Observed-Background vs Model Counts'
datplot, 0,0,xs=edges, yobs/emdge^scale, color=fcolor(colors(0))
oplot, emdge, model_out*conv* (delta_light /wxvec)/emdge^scale, psy=-1, symsiz=.2,$
	color=fcolor(colors(1))

plot, xrange=xrange, emdge, f_div(yobs, model_out*conv* (delta_light /wxvec)) -1, psy=1, $
	  yrang=[-.1,.1]
oplot, emdge, symsiz=3, psy=4, nsum=4, f_div(yobs, model_out*conv* (delta_light /wxvec)) -1, $
	color=fcolor(colors(1))

!p.multi=pmulti
wsetshow,/noshow
end



