

; Account for the energy-loss/light output function in NaI
; Eloss_mat is given for photon energies in in the bins given by
; Ein for output bins with the same energies.  These output bins
; must be translated to light output bins where an energy loss of 59.5 keV
; translates exactly to a light output of 59.5 keV (because this is how the
; light outputs for HXT are calibrated.  The matrix 
;
g_c,59.5,el0
el0=el0(0)

edge_products, ein, edges_2=els, mean=elsm, wid=wels

g_c, els(*), lc

lc =lc/el0
eph = reform(els(*)*lc,2,nflux)
eph=reform(eph, 2, nflux)
edge_products,eph,edges_1=eph1, wid=wph,mean=ephm
pulse_shapel = pulse_shape * 0.0

checkvar, func_par, [1.3/2.36,.5,0,0]
checkvar, func, 'fwhm'
checkvar, nflux, 200


sigmaxl = call_function( func, ephm, func_par)/2.36
for i=0,nflux-1 do $
	pulse_shapel(*,i) = gaussint((eph1(1:*)-ephm(i))/sigmaxl(i)) $
		- gaussint( (eph1-ephm(i))/sigmaxl(i))

pls_ht_mat = pulse_shape # eloss_mat
smatrix = f_div( pls_ht_mat , rebin(wph, nflux, nflux))
end
