;+
; NAME: 
;	SPEX_SAVE
; PURPOSE: 
;	To save and restore variables defined in a SPEX session	
; CATEGORY: 
;	I/O
; CALLING SEQUENCE:
;	spex_save
; PROCEDURE:
;    
;    Extract variables from SPEX_COMMONS and write to a save file
;	Key variables:
;	apar_arr, backi,convi,delta_light,drm, $
;	edges, live, obsi, ut, wuse, xselect, e_in
;
; INPUTS:
;	None 
; OUTPUTS:                                                   
;	None direct, an IDL XDR save file is written into the current directory
;
; COMMON BLOCKS:
;	 in spex_commons.pro
;
; SIDE EFFECTS:
;	
; RESTRICTIONS:
;	None.
;
; MODIFICATION HISTORY:
; Under development, ras, 30-may-1995
; 	Version 2, ras, 25-oct-1996, include flare number in filename
;-
pro spex_save


@spex_commons
flare    = long(spex_current('flare') > 0 )
free     = spex_current('free')
utbase   = anytim(/ecs, /date, getutbase())
filename =strlowcase( arr2str([spex_current('data_tipe'), $
	'det'+strtrim(det_id,2),'spexfits.sav',strtrim(flare,2)],delim='_'))
save,/xdr,file=filename, free, chi, apar_arr,apar_sigma, backi,convi,delta_light,drm, back_order, $
	edges, live, obsi, eobsi, ebacki, count_2_flux, ut, wuse, xselect, e_in, utbase, title, tb
printx,'save,/xdr,file="'+filename+'",free,chi, apar_arr, apar_sigma, backi,convi,$'
printx,'back_order, delta_light, drm, $'
printx,'edges, live, obsi, eobsi, ebacki, count_2_flux, ut, wuse, xselect, e_in, utbase, title, tb'
end

